Changes between Version 19 and Version 20 of InstallMacHardWay


Ignore:
Timestamp:
Mar 18, 2016 10:39:17 PM (7 years ago)
Author:
toby
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • InstallMacHardWay

    v19 v20  
    11= Installing GSAS-II on Mac OS X =
    22
    3 Prerequisite: Before GSAS-II can be used on your computer, you must have Python 2.7.x installed with a number of [PythonPackages required Python packages] (see below.) You must also have the subversion (svn) package installed, which is standard on all Macs prior to Mountain Lion (10.8), but can be loaded easily at least on 10.9.
     3A new single-step installer has been developed for GSAS-II on Macs. Please try this first [MacSingleStepInstaller using the instructions here] and report any problems.
     4
     5Prerequisite: Before GSAS-II can be used on your computer, you must have Python 2.7.x installed with a number of [PythonPackages required Python packages] (see below.)
     6
    47
    58GSAS-II has been tested by us on Intel (i386) Macs running 10.5 (Leopard), 10.6 (Snow Leopard) and 10.7 (Lion). We have heard from people running with 10.8 (Mountain Lion) but have not tested this ourselves yet. Testing in 10.9 (Mavericks) is in progress. Getting GSAS-II to run on Macs running 10.4 or with a PPC (G4/G5) processor is likely possible, but will require considerable work since you would need to build python and its packages from source code and compile the GSAS-II Fortran code; this is not recommended except to the cognoscenti.
     
    811
    912=== Quick Install Instructions ===
     13
     14**''Please try the new procedure [MacSingleStepInstaller here] before using the instructions below.''**
     15
    1016
    11171.   We are recommending use of the older 32-bit EPDfree Python distribution; download [https://s3.amazonaws.com/storage.enthought.com/installers/epd_free-7.3-2-macosx-i386.dmg the EPDfree 32-bit Mac installer] from web page https://www.enthought.com/repo/free/.) Users on 10.8 and 10.9 may want to try the 64-bit Canopy Express from [https://www.enthought.com/downloads/ Enthought downloads], but expect some bugs. At present both EPDfree and Canopy Express require administrator privileges to install.